Bug 298945 - reset zoom doesn't update widget. keyboard shortcuts ignore zoom reset
Summary: reset zoom doesn't update widget. keyboard shortcuts ignore zoom reset
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: git master (please specify the git hash!)
Platform: Compiled Sources Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-27 23:20 UTC by Tom Hall
Modified: 2012-06-25 16:24 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Hall 2012-04-27 23:20:18 UTC
The keyboard shortcut, "Reset zoom", does not change the zoom level value displayed in the bottom right hand corner of the krita window. Furthermore, if the keyboard shortcuts for, "Zoom In" or "Zoom Out" are used immediately afterwards, they alter the zoom level starting from the value displayed, not the actual zoom level of the canvas (100%).

Reproducible: Always

Steps to Reproduce:
1. Zoom in. (Go on! all the way to 6400% to make things obvious)
2. Press the keyboard shortcut for "Reset zoom"
3. Press the keyboard shortcut for "Zoom Out"
Actual Results:  
After step 2., the canvas is at 100% zoom level (It's probably gone for a walk too, but that's bug 298461). However, the zoom level indicator widget thingy in the bottom right hand corner of the window has not changed (still says 6400%).

After 3., the zoom level is 703% (actual zoom level of canvas and what is displayed bottom right), which is one step below 6400%; It thought we were at 6400% and zoomed out to 703%

Expected Results:  
After 2., 100% should be displayed in the zoom widget field.

After 3., the zoom level (of canvas and displayed) should be one step below 100% (88%).

Scroll wheel zooming instead of step 3. behaves differently. 100% is still not shown when the zoom level is reset. However, when the scroll wheel turns, the canvas zoom changes starting from 100%, not 6400% and the values displayed are updated accordingly.

6400% zoom level is used just as an extreme example: the behaviour occurs for all zoom levels.
Comment 1 Halla Rempt 2012-05-08 08:33:09 UTC
Yes,  I can confirm.
Comment 2 Halla Rempt 2012-05-17 13:04:01 UTC
Fixed in bc4da0c745838265cc9b8f8f7430ef7812a0a948
Comment 3 Sven Langkamp 2012-06-25 16:24:00 UTC
Fixed by new interaction system.